com.thinkaurelius.titan.util.datastructures

## Class ArraysUtil

- java.lang.Object
- - com.thinkaurelius.titan.util.datastructures.ArraysUtil

-     public class ArraysUtil
      extends Object

  Utility class for sorting and retrieving from primitive arrays
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArraysUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long[]` | `arrayDifference(long[] arr, long[] subset)`
    `static int` | `indexOf(int[] array, int value)`
    `static int` | `indexOfMin(double[] values)`
    `static long[]` | `insertSortedInc(long[] arr, long element)`
    `static boolean` | `isSortedInc(int[] arr)`
    `static boolean` | `isSortedInc(long[] arr)`
    `static long[]` | `mergeSortedInc(long[] a, long[] b)`
    `static int` | `sum(int[] values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArraysUtil

          public ArraysUtil()

  - ### Method Detail

    - #### isSortedInc

          public static final boolean isSortedInc(long[] arr)

    - #### isSortedInc

          public static final boolean isSortedInc(int[] arr)

    - #### insertSortedInc

          public static final long[] insertSortedInc(long[] arr,
                               long element)

    - #### arrayDifference

          public static final long[] arrayDifference(long[] arr,
                               long[] subset)

    - #### mergeSortedInc

          public static final long[] mergeSortedInc(long[] a,
                              long[] b)

    - #### sum

          public static final int sum(int[] values)

    - #### indexOfMin

          public static final int indexOfMin(double[] values)

    - #### indexOf

          public static final int indexOf(int[] array,
                    int value)

Copyright © 2012–2014. All rights reserved.